Get Website Details

Cortex Xpanse REST API

post /public_api/v1/assets/get_external_website/

Get details about specific websites based on website IDs. You can submit up to 20 website IDs.
Required License: Cortex Xpanse Expander

Request headers
authorization String required

api-key

Example: {{api_key}}
x-xdr-auth-id String required

api-key-id

Example: {{api_key_id}}
CLIENT REQUEST
curl -X 'POST'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'authorization: {{api_key}}' -H 'x-xdr-auth-id: {{api_key_id}}'
'https://api-}/public_api/v1/assets/get_external_website/'
-d '{ "request_data" : { "website_id_list" : [ "website_id_list", "website_id_list", "website_id_list", "website_id_list", "website_id_list" ] } }'
import http.client conn = http.client.HTTPSConnection("api-") payload = "{\"request_data\":{\"website_id_list\":[\"string\"]}}" headers = { 'authorization': "{{api_key}}", 'x-xdr-auth-id': "{{api_key_id}}", 'content-type': "application/json" } conn.request("POST", "%7B%7Bfqdn%7D%7D/public_api/v1/assets/get_external_website/", payload, headers) res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
require 'uri' require 'net/http' require 'openssl' url = URI("https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/assets/get_external_website/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true http.verify_mode = OpenSSL::SSL::VERIFY_NONE request = Net::HTTP::Post.new(url) request["authorization"] = '{{api_key}}' request["x-xdr-auth-id"] = '{{api_key_id}}' request["content-type"] = 'application/json' request.body = "{\"request_data\":{\"website_id_list\":[\"string\"]}}" response = http.request(request) puts response.read_body
const data = JSON.stringify({ "request_data": { "website_id_list": [ "string" ] } }); const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("POST", "https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/assets/get_external_website/"); xhr.setRequestHeader("authorization", "{{api_key}}"); xhr.setRequestHeader("x-xdr-auth-id", "{{api_key_id}}"); xhr.setRequestHeader("content-type", "application/json"); xhr.send(data);
HttpResponse<String> response = Unirest.post("https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/assets/get_external_website/") .header("authorization", "{{api_key}}") .header("x-xdr-auth-id", "{{api_key_id}}") .header("content-type", "application/json") .body("{\"request_data\":{\"website_id_list\":[\"string\"]}}") .asString();
import Foundation let headers = [ "authorization": "{{api_key}}", "x-xdr-auth-id": "{{api_key_id}}", "content-type": "application/json" ] let parameters = ["request_data": ["website_id_list": ["string"]]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/assets/get_external_website/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume()
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/assets/get_external_website/", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => "{\"request_data\":{\"website_id_list\":[\"string\"]}}", CURLOPT_HTTPHEADER => [ "authorization: {{api_key}}", "content-type: application/json", "x-xdr-auth-id: {{api_key_id}}" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
CURL *hnd = curl_easy_init(); curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST"); curl_easy_setopt(hnd, CURLOPT_URL, "https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/assets/get_external_website/"); struct curl_slist *headers = NULL; headers = curl_slist_append(headers, "authorization: {{api_key}}"); headers = curl_slist_append(headers, "x-xdr-auth-id: {{api_key_id}}"); headers = curl_slist_append(headers, "content-type: application/json"); curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers); curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\"request_data\":{\"website_id_list\":[\"string\"]}}"); CURLcode ret = curl_easy_perform(hnd);
var client = new RestClient("https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/assets/get_external_website/"); var request = new RestRequest(Method.POST); request.AddHeader("authorization", "{{api_key}}"); request.AddHeader("x-xdr-auth-id", "{{api_key_id}}"); request.AddHeader("content-type", "application/json"); request.AddParameter("application/json", "{\"request_data\":{\"website_id_list\":[\"string\"]}}", ParameterType.RequestBody); IRestResponse response = client.Execute(request);
Body parameters
required
application/json
request_dataobject

A dictionary containing the API request fields.

website_id_listarray[string]

A string representing the website ID you want to get details for. Limit is 20 website ids

Free-Form object
Free-Form object
REQUEST
{ "request_data": { "website_id_list": [ "example" ] } }
Responses

OK

Body
application/json
replyobject
detailsarray
[
website_idstring
hoststring
protocolstring
is_activestring
site_categoriesarray[string]
technology_idsarray[string]
first_observedinteger
last_observedinteger
provider_namesarray[string]
ipsarray[string]
portinteger
active_service_idsarray[string]
http_typestring
security_assessmentsarray
[
namestring
priorityinteger
scoreinteger
securityAssessmentDetailsobject
pagesarray
[
urlstring
messagestring
elementsarray
[
namestring
valuestring
Free-Form object
]
Free-Form object
]
descriptionstring
Free-Form object
Free-Form object
]
rootPageHttpStatusCodestring
isNonConfiguredHostboolean
externally_inferred_vulnerability_scorenumber
externally_inferred_cvesarray[string]
tagsarray[string]
assetsarray
[
idstring
namestring
assetTypestring
Free-Form object
]
technologiesarray
[
idstring
versionstring
cpestring
categoryIdsarray[integer]
technologyDetailsobject
confidencenumber
urlsarray
[
urlstring
ipstring
observedinteger
Free-Form object
]
evidenceobjectrequired
impliedByarray[string]
patternsarray
[
typestring
regexstring
valuestring
Free-Form object
]
Free-Form object
Free-Form object
namestring
Free-Form object
]
third_party_resourcesarray
[
urlstring
typestring
thirdPartyResourceDetailsobjectrequired
observedinteger
Free-Form object
Free-Form object
]
formsarray
[
urlstring
actionstring
purposestring
formDetailsobjectrequired
fieldsarray
[
namestring
maxLengthinteger
requiredboolean
dataTypestring
Free-Form object
]
Free-Form object
Free-Form object
]
detailsobject
ipsarray
[
ipstring
lastObservedinteger
firstObservedinteger
Free-Form object
]
screenshotsarray
[
urlstring
ipstring
sizeinteger
observedinteger
Free-Form object
]
Free-Form object
Free-Form object
]
Free-Form object
Free-Form object
RESPONSE
{ "reply": { "details": [ { "website_id": "example", "host": "example", "protocol": "example", "is_active": "example", "site_categories": [ "example" ], "technology_ids": [ "example" ], "first_observed": 0, "last_observed": 0, "provider_names": [ "example" ], "ips": [ "example" ], "port": 0, "active_service_ids": [ "example" ], "http_type": "example", "security_assessments": [ { "name": "example", "priority": 0, "score": 0, "securityAssessmentDetails": { "pages": [ { "url": "example", "message": "example", "elements": [ { "name": "example", "value": "example" } ] } ], "description": "example" } } ], "rootPageHttpStatusCode": "example", "isNonConfiguredHost": false, "externally_inferred_vulnerability_score": 0.1, "externally_inferred_cves": [ "example" ], "tags": [ "example" ], "assets": [ { "id": "example", "name": "example", "assetType": "example" } ], "technologies": [ { "id": "example", "version": "example", "cpe": "example", "categoryIds": [ 0 ], "technologyDetails": { "confidence": 0.1, "urls": [ { "url": "example", "ip": "example", "observed": 0 } ], "evidence": { "impliedBy": [ "example" ], "patterns": [ { "type": "example", "regex": "example", "value": "example" } ] } }, "name": "example" } ], "third_party_resources": [ { "url": "example", "type": "example", "thirdPartyResourceDetails": { "observed": 0 } } ], "forms": [ { "url": "example", "action": "example", "purpose": "example", "formDetails": { "fields": [ { "name": "example", "maxLength": 0, "required": false, "dataType": "example" } ] } } ], "details": { "ips": [ { "ip": "example", "lastObserved": 0, "firstObserved": 0 } ], "screenshots": [ { "url": "example", "ip": "example", "size": 0, "observed": 0 } ] } } ] } }

Bad Request. Got an invalid JSON.

Body
application/json
replyobject

The query results upon error.

err_codestring

HTTP response code.

err_msgstring

Error message.

err_extrastring

Additional information describing the error.

Free-Form object
Free-Form object
RESPONSE
{ "reply": { "err_code": "example", "err_msg": "example", "err_extra": "example" } }

Unauthorized access. An issue occurred during authentication. This can indicate an incorrect key, id, or other invalid authentication parameters.

Body
application/json
replyobject

The query results upon error.

err_codestring

HTTP response code.

err_msgstring

Error message.

err_extrastring

Additional information describing the error.

Free-Form object
Free-Form object
RESPONSE
{ "reply": { "err_code": "example", "err_msg": "example", "err_extra": "example" } }

Unauthorized access. User does not have the required license type to run this API.

Body
application/json
replyobject

The query results upon error.

err_codestring

HTTP response code.

err_msgstring

Error message.

err_extrastring

Additional information describing the error.

Free-Form object
Free-Form object
RESPONSE
{ "reply": { "err_code": "example", "err_msg": "example", "err_extra": "example" } }

Forbidden access. The provided API Key does not have the required RBAC permissions to run this API.

Body
application/json
replyobject

The query results upon error.

err_codestring

HTTP response code.

err_msgstring

Error message.

err_extrastring

Additional information describing the error.

Free-Form object
Free-Form object
RESPONSE
{ "reply": { "err_code": "example", "err_msg": "example", "err_extra": "example" } }

Unprocessable Entity

Body
application/json
codeinteger

Error code

statusstring

Error name

messagestring

Error message

errorsobject

Errors

RESPONSE
{ "code": 0, "status": "example", "message": "example", "errors": {} }

Internal server error. A unified status for API communication type errors.

Body
application/json
replyobject

The query results upon error.

err_codestring

HTTP response code.

err_msgstring

Error message.

err_extrastring

Additional information describing the error.

Free-Form object
Free-Form object
RESPONSE
{ "reply": { "err_code": "example", "err_msg": "example", "err_extra": "example" } }